package org.jeecg.modules.apply.lisener;

import org.activiti.engine.delegate.DelegateExecution;
import org.activiti.engine.delegate.ExecutionListener;
import org.jeecg.common.util.SpringContextUtils;
import org.jeecg.modules.apply.service.ApplyProcessService;

/**
 * 更改工作联系单主表
 * 监听:审批结束,更改表单状态和审批状态，保存审批记录
 * @Author: yll
 * @Date: 2019/7/23 18:34
 */

public class ContactResultListener implements ExecutionListener {

    @Override
    public void notify(DelegateExecution delegateExecution) {

        if (!"end".equals(delegateExecution.getEventName())) {
            return;
        }
        ApplyProcessService processService = SpringContextUtils.getBean(ApplyProcessService.class);
        processService.updateContactProcessResult(delegateExecution);
    }

}
